<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  $compat_register_globals = true;

  if (function_exists('ini_get') && (PHP_VERSION < 4.3) && ((int)ini_get('register_globals') == 0)) {
    $compat_register_globals = false;
  }
?>

<div class="mainBlock">
  <h1>Bienvenue sur l'installateur de osCommerce Online Merchant v<?php echo osc_get_version(); ?> FR !</h1>

      <p>osCommerce est une solution E-Commerce en Open Source se développant grâce à sa communauté. Cette solution permet aux propriétaires de magasins d'installer, configurer, utiliser et assurer la maintenance de leur boutique en ligne avec un minimun d'effort et sans les coûts impliqués.</p>
      <p>osCommerce associe des solutions Open Source pour fournir une plateforme de développement libre et ouverte, qui inclue la <i>puissance</i> du langage script PHP, la <i>stabilité</i> des serveurs Apache, et la <i>rapidité</i> des bases de données MySQL.</p>
      <p>Sans obligation ni restriction, osCommerce peut être installé sur tous serveurs où php 4.x à php 5.x et MySQL 3.23 à MySQL 5 sont exécutés, tous les environnements PHP et MySQL sont supportés, incluant Linux, Solaris, BSD, et Microsoft Windows XX.</p>
      <p>Pour des questions de performance, il est recommandé d'utiliser au minimum php 5.x et MySQL 4.</p>
</div>

<div class="contentBlock">
  <div class="infoPane">
    <h3>Compatibilité du serveur.</h3>

    <div class="infoPaneContents">
      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><strong>Version de PHP</strong></td>
          <td align="right"><?php echo PHP_VERSION; ?></td>
          <td align="right" width="25"><img src="images/<?php echo ((PHP_VERSION >= 4) ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
      </table>

<?php
  if (function_exists('ini_get')) {
?>

      <br />

      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><strong>Paramètres de PHP</strong></td>
        </tr>
        <tr>
          <td>register_globals</td>
          <td align="right"><?php echo (((int)ini_get('register_globals') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (($compat_register_globals == true) ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
        <tr>
          <td>magic_quotes</td>
          <td align="right"><?php echo (((int)ini_get('magic_quotes') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('magic_quotes') == 0) ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
        <tr>
          <td>file_uploads</td>
          <td align="right"><?php echo (((int)ini_get('file_uploads') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('file_uploads') == 1) ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
        <tr>
          <td>session.auto_start</td>
          <td align="right"><?php echo (((int)ini_get('session.auto_start') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('session.auto_start') == 0) ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
        <tr>
          <td>session.use_trans_sid</td>
          <td align="right"><?php echo (((int)ini_get('session.use_trans_sid') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('session.use_trans_sid') == 0) ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
      </table>

      <br />

      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><strong>Extensions de PHP requises</strong></td>

        </tr>
        <tr>
          <td>MySQL</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('mysql') || extension_loaded('mysqli') ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
      </table>

      <br />

      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><strong>Extensions PHP optionnelles</strong></td>
        </tr>
        <tr>
          <td>GD</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('gd') ? 'success.gif' : 'failed.gif'); ?> "width="16" height="16" /></td>
        </tr>
        <tr>
          <td>cURL</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('curl') ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
        <tr>
          <td>OpenSSL</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('openssl') ? 'success.gif' : 'failed.gif'); ?>" width="16" height="16" /></td>
        </tr>
      </table>

<?php
  }
?>

    </div>
  </div>

  <div class="contentPane">
    <h2>Nouvelle installation.</h2>

<?php
  $configfile_array = array();

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
    @chmod(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php', 0777);
  }

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
    @chmod(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php', 0777);
  }

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
    $configfile_array[] = osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php';
  }

  if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
    $configfile_array[] = osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php';
  }

  $warning_array = array();

  if (function_exists('ini_get')) {
    if ($compat_register_globals == false) {
      $warning_array['register_globals'] = 'La compatibilité avec register_globals est supportée depuis PHP 4.3+. Ce paramétrage <u>doit être activé</u> en raison de d\'utilisation d\'une version plus ancienne de PHP.';
    }
  }

  if (!extension_loaded('mysql')) {
    $warning_array['mysql'] = 'L\'extension MySQL est requise mais absente. Veuillez l\'activer pour continuer l\'installation.';
  }

  if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

    <div class="noticeBox">

<?php
    if (sizeof($warning_array) > 0) {
?>

      <table border="0" width="100%" cellspacing="0" cellpadding="2" style="background: #fffbdf; border: 1px solid #ffc20b; padding: 2px;">

<?php
      reset($warning_array);
      while (list($key, $value) = each($warning_array)) {
        echo '        <tr>' . "\n" .
             '          <td valign="top"><strong>' . $key . '</strong></td>' . "\n" .
             '          <td valign="top">' . $value . '</td>' . "\n" .
             '        </tr>' . "\n";
      }
?>

      </table>
<?php
    }

    if (sizeof($configfile_array) > 0) {
?>

      <p>Le serveur Web ne peut pas sauvegarder les paramètres d'installation dans les fichiers de configuration.</p>
      <p>Les fichiers suivants doivent avoir des droits en écriture (chmod 777) :</p>
      <p>

<?php
      for ($i=0, $n=sizeof($configfile_array); $i<$n; $i++) {
        echo $configfile_array[$i];

        if (isset($configfile_array[$i+1])) {
          echo '<br />';
        }
      }
?>

      </p>

<?php
    }
?>

    </div>

<?php
  }

  if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

    <p>Corrigez les erreurs suivantes et relancez ensuite l'installation.</p>

<?php
    if (sizeof($warning_array) > 0) {
      echo '    <p><i>Les changements de paramètres du serveur imposent le redémarrage de celui-ci pour prendre effet.</i></p>' . "\n";
    }
?>

    <p><?php echo osc_draw_button('Réessayer', 'arrowrefresh-1-e', 'index.php', 'primary'); ?></p>

<?php
  } else {
?>

	<p>L'environnement du serveur a été vérifié en vue de l'installation et de la configuration de votre boutique.</p>

    <div id="jsOn" style="display: none;">
      <p>Veuillez continuer la procédure d'installation.</p>
      <p><?php echo osc_draw_button('Continuer', 'triangle-1-e', 'install.php', 'primary'); ?></p>
    </div>

    <div id="jsOff">
      <p>Veuillez activer l'exécution du Javascript dans votre navigateur pour permettre le démarrage de la procédure d'installation.</p>
      <p><?php echo osc_draw_button('Réessayer', 'arrowrefresh-1-e', 'index.php', 'primary'); ?></p>
    </div>

<script>
$(function() {
  $('#jsOff').hide();
  $('#jsOn').show();
});
</script>

<?php
  }
?>

  </div>
</div>
